Bug 1374781 - Review Request: python-sphinxcontrib-autoprogram - Sphinx extension for documenting CLI programs
Summary: Review Request: python-sphinxcontrib-autoprogram - Sphinx extension for docu...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Simone Caronni
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-09 15:21 UTC by Marcel Haerry
Modified: 2017-02-03 20:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-03 20:49:30 UTC
Type: ---
negativo17: fedora-review+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1350930 None None None Never

Internal Links: 1350930

Description Marcel Haerry 2016-09-09 15:21:18 UTC
Spec URL: http://git.scrit.ch/srpm/python-sphinxcontrib-autoprogram/plain/SPECS/python-sphinxcontrib-autoprogram.spec
SRPM URL: https://kojipkgs.fedoraproject.org//work/tasks/8167/15558167/python-sphinxcontrib-autoprogram-0.1.2-1.fc25.src.rpm
Description: This extension provides an automated way to document CLI programs.
It scans ArgumentParser objects and then expands it into a set of
program and option directives.


Fedora Account System Username: maha

This is my first package and I'm looking for a sponsor, my introduction on devel happened a while ago.

Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=15558167

pmlint /var/lib/mock/fedora-25-x86_64/result/python2-sphinxcontrib-autoprogram-0.1.2-1.fc25.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
rpmlint /var/lib/mock/fedora-25-x86_64/result/python3-sphinxcontrib-autoprogram-0.1.2-1.fc25.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
rpmlint /var/lib/mock/fedora-25-x86_64/result/python-sphinxcontrib-autoprogram-0.1.2-1.fc25.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 1 Simone Caronni 2016-09-09 16:42:21 UTC
I will sponsor Marcel Haerry.

Comment 2 Simone Caronni 2016-09-09 16:43:10 UTC
Will do the review next week I guess (guests at home this weekend :).

Comment 3 Simone Caronni 2016-09-24 10:34:35 UTC
Well, fedora-review is completely broken at the moment (https://bugzilla.redhat.com/show_bug.cgi?id=1350930), will do the review manually.

Comment 4 Simone Caronni 2016-09-24 10:45:12 UTC
All mandatory and optional checks at:

https://fedoraproject.org/wiki/Packaging:ReviewGuidelines#Things_To_Check_On_Review

are fine. Rpmlint passes all checks fine.

License is BSD, but since the package does not include a license file on its own; you should add one and add the %license tag to the files section.

Please add the license file before importing, otherwise package is approved.

Comment 5 Marcel Haerry 2016-09-24 13:47:46 UTC
Thanks for reviewing!

I added the LICENSE file: http://git.scrit.ch/srpm/python-sphinxcontrib-autoprogram/commit/?id=aa533e8bfef91f57e73c7d3764ee87c4fbc8ff62

I will notify upstream, that they should include LICENSE files. Although, given it's a realse out of a huge repository, they probably won't spread the license all over. Bug, well they should...

Spec URL: http://git.scrit.ch/srpm/python-sphinxcontrib-autoprogram/plain/SPECS/python-sphinxcontrib-autoprogram.spec
SRPM URL: https://kojipkgs.fedoraproject.org//work/tasks/5331/15785331/python-sphinxcontrib-autoprogram-0.1.2-1.fc25.src.rpm

Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=15785325

$ rpmlint /var/lib/mock/fedora-25-x86_64/result/*.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 6 Gwyn Ciesla 2016-11-07 12:17:43 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-sphinxcontrib-autoprogram

Comment 7 Marcel Haerry 2017-01-20 13:46:32 UTC
Package uploaded and part of rawhide

Comment 8 Fedora Update System 2017-01-20 14:42:16 UTC
python-sphinxcontrib-autoprogram-0.1.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-65fc9b6ef2

Comment 9 Fedora Update System 2017-01-21 22:25:07 UTC
python-sphinxcontrib-autoprogram-0.1.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-65fc9b6ef2

Comment 10 Fedora Update System 2017-02-03 20:49:30 UTC
python-sphinxcontrib-autoprogram-0.1.2-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.